Package twisted :: Package web :: Module widgets :: Class WidgetMixin

[frames | no frames]

## Class WidgetMixin

    Widget --+
             |
            WidgetMixin

A mix-in wrapper for a Widget.

This mixin can be used to wrap functionality in any other widget with a method of your choosing. It is designed to be used for mix-in classes that can be mixed in to Form, StreamWidget, Presentation, etc, to augment the data available to the 'display' methods of those classes, usually by adding it to a Session.

Method Summary
| `display(self)`
| `displayMixedWidget(self, request)`
Inherited from Widget
| ``getTitle`(self, request)`

Class Variable Summary
Inherited from Widget
`NoneType` | `title` = None

Generated by Epydoc 2.0 on Sat May 15 20:08:30 2004 | http://epydoc.sf.net